Overview | Package | Class | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.omg.CORBA
Interface ConstantDefOperations

All Superinterfaces:
  ContainedOperations, IRObjectOperations

All Known Subinterfaces:
  ConstantDef

All Known Implementing Classes:
  ConstantDefPOA

public interface ConstantDefOperations
extends ContainedOperations

A ConstantDef object defines a named constant.

Method Summary
`IDLType` | `type_def()` The type_def attribute identifies the definition of the type of the constant.
`void` | `type_def(IDLType value)` The type_def attribute identifies the definition of the type of the constant.
`TypeCode` | `type()` The type attribute specifies the TypeCode describing the type of the constant.
`Any` | `value()` The value attribute contains the value of the constant.
`void` | `value(Any value)` The value attribute contains the value of the constant.

Methods inherited from interface org.omg.CORBA.ContainedOperations
`absolute_name, containing_repository, defined_in, describe, id, id, move, name, name, version, version`

Methods inherited from interface org.omg.CORBA.IRObjectOperations
`def_kind, destroy`

Method Detail

### type

    public TypeCode type()

  The type attribute specifies the TypeCode describing the type of the constant. The type of a constant must be one of the primitive types allowed in constant declarations.

### type_def

    public IDLType type_def()

  The type_def attribute identifies the definition of the type of the constant.

### type_def

    public void type_def(IDLType value)

  The type_def attribute identifies the definition of the type of the constant.

### value

    public Any value()

  The value attribute contains the value of the constant.

### value

    public void value(Any value)

  The value attribute contains the value of the constant.

Overview | Package | Class | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD